<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku main.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('main_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku main.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QApplication&gt;</code><br />
<code>#include &quot;<a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>&quot;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;condition_variable&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#amain_8cpp" alt=""/></div>
<map name="amain_8cpp" id="amain_8cpp">
<area shape="rect" title=" " alt="" coords="1254,5,1329,31"/>
<area shape="rect" title=" " alt="" coords="615,79,711,104"/>
<area shape="poly" title=" " alt="" coords="1254,25,1034,44,726,81,725,76,1034,39,1254,20"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="735,79,855,104"/>
<area shape="poly" title=" " alt="" coords="1254,27,869,82,868,77,1253,22"/>
<area shape="rect" title=" " alt="" coords="2331,225,2457,251"/>
<area shape="poly" title=" " alt="" coords="1330,24,2324,220,2323,225,1329,29"/>
<area shape="rect" title=" " alt="" coords="1806,79,1865,104"/>
<area shape="poly" title=" " alt="" coords="1329,20,1526,39,1656,56,1788,76,1793,77,1792,82,1787,81,1655,61,1525,45,1329,25"/>
<area shape="rect" title=" " alt="" coords="1129,152,1235,177"/>
<area shape="poly" title=" " alt="" coords="856,101,1116,148,1115,154,855,106"/>
<area shape="rect" title=" " alt="" coords="5,152,105,177"/>
<area shape="poly" title=" " alt="" coords="736,105,724,107,555,122,423,129,290,137,119,155,119,149,289,132,422,124,555,117,723,101,735,100"/>
<area shape="rect" title=" " alt="" coords="129,152,195,177"/>
<area shape="poly" title=" " alt="" coords="736,105,724,107,581,121,468,127,354,135,209,155,208,150,353,130,467,122,580,115,723,101,735,100"/>
<area shape="rect" title=" " alt="" coords="219,152,291,177"/>
<area shape="poly" title=" " alt="" coords="736,105,724,107,608,120,516,128,424,137,305,155,305,149,423,132,515,123,607,115,723,101,735,100"/>
<area shape="rect" title=" " alt="" coords="316,152,400,177"/>
<area shape="poly" title=" " alt="" coords="736,105,724,107,571,129,414,155,413,149,570,124,723,101,735,100"/>
<area shape="rect" href="_terminal_8hpp.html" title="Definicja klasy Terminal." alt="" coords="425,152,521,177"/>
<area shape="poly" title=" " alt="" coords="744,107,534,153,533,147,743,101"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="673,152,792,177"/>
<area shape="poly" title=" " alt="" coords="787,106,754,143,750,140,783,103"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title="Definicja klasy VelocityGraph." alt="" coords="927,152,1053,177"/>
<area shape="poly" title=" " alt="" coords="828,102,946,145,945,150,826,107"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="816,152,903,177"/>
<area shape="poly" title=" " alt="" coords="808,103,842,140,838,144,804,106"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1169,225,1275,251"/>
<area shape="poly" title=" " alt="" coords="856,98,956,117,1012,132,1067,150,1191,216,1188,221,1065,154,1011,137,955,123,855,104"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="1628,152,1731,177"/>
<area shape="poly" title=" " alt="" coords="856,95,1614,155,1614,161,855,100"/>
<area shape="rect" href="_travel_info_8hpp.html" title="Definicja klasy TravelInfo." alt="" coords="545,152,649,177"/>
<area shape="poly" title=" " alt="" coords="764,107,643,150,641,145,763,102"/>
<area shape="rect" title=" " alt="" coords="111,225,189,251"/>
<area shape="poly" title=" " alt="" coords="425,179,203,228,202,223,424,174"/>
<area shape="rect" title=" " alt="" coords="214,225,302,251"/>
<area shape="poly" title=" " alt="" coords="439,180,307,223,305,218,437,175"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="665,225,795,251"/>
<area shape="poly" title=" " alt="" coords="515,175,676,219,675,224,513,180"/>
<area shape="rect" title=" " alt="" coords="857,299,926,324"/>
<area shape="poly" title=" " alt="" coords="757,248,854,291,851,295,755,253"/>
<area shape="rect" title=" " alt="" coords="545,299,609,324"/>
<area shape="poly" title=" " alt="" coords="706,253,615,295,613,290,704,248"/>
<area shape="rect" title=" " alt="" coords="729,299,832,324"/>
<area shape="poly" title=" " alt="" coords="741,249,767,286,762,289,736,253"/>
<area shape="poly" title=" " alt="" coords="735,178,734,212,728,212,730,178"/>
<area shape="rect" href="_numeric_data_8hpp.html" title="Definicja klasy NumericData." alt="" coords="377,225,499,251"/>
<area shape="poly" title=" " alt="" coords="686,180,499,225,498,219,685,175"/>
<area shape="rect" href="_robot_image_8hpp.html" title="Definicja klasy RobotImage." alt="" coords="524,225,640,251"/>
<area shape="poly" title=" " alt="" coords="710,180,620,222,618,217,707,175"/>
<area shape="poly" title=" " alt="" coords="461,248,543,290,541,295,459,253"/>
<area shape="rect" title=" " alt="" coords="249,299,328,324"/>
<area shape="poly" title=" " alt="" coords="415,253,327,295,324,290,413,248"/>
<area shape="rect" title=" " alt="" coords="352,299,423,324"/>
<area shape="poly" title=" " alt="" coords="432,253,406,289,401,286,427,249"/>
<area shape="rect" title=" " alt="" coords="447,299,520,324"/>
<area shape="poly" title=" " alt="" coords="568,253,512,293,509,288,565,249"/>
<area shape="rect" title=" " alt="" coords="633,299,705,324"/>
<area shape="poly" title=" " alt="" coords="598,249,646,288,642,292,594,253"/>
<area shape="poly" title=" " alt="" coords="949,180,786,224,785,219,948,175"/>
<area shape="rect" title=" " alt="" coords="931,225,1049,251"/>
<area shape="poly" title=" " alt="" coords="993,178,993,212,987,212,987,178"/>
<area shape="rect" title=" " alt="" coords="1073,225,1145,251"/>
<area shape="poly" title=" " alt="" coords="1010,175,1079,216,1076,220,1008,180"/>
<area shape="poly" title=" " alt="" coords="840,180,765,221,762,216,837,175"/>
<area shape="rect" href="_viewer_8hpp.html" title="Definicja klasy Viewer." alt="" coords="820,225,907,251"/>
<area shape="poly" title=" " alt="" coords="863,178,865,212,859,212,857,178"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="950,299,1065,324"/>
<area shape="poly" title=" " alt="" coords="888,248,973,290,970,295,885,253"/>
<area shape="rect" title=" " alt="" coords="928,372,1087,397"/>
<area shape="poly" title=" " alt="" coords="1010,324,1010,358,1005,358,1005,324"/>
<area shape="rect" title=" " alt="" coords="1193,299,1251,324"/>
<area shape="poly" title=" " alt="" coords="1225,251,1225,285,1219,285,1219,251"/>
<area shape="poly" title=" " alt="" coords="1628,172,1426,191,1295,207,1159,228,1158,223,1294,202,1426,186,1628,167"/>
<area shape="poly" title=" " alt="" coords="1628,176,1289,228,1288,222,1628,171"/>
<area shape="rect" title=" " alt="" coords="1456,299,1511,324"/>
<area shape="poly" title=" " alt="" coords="1629,176,1534,196,1493,210,1468,227,1462,240,1462,255,1472,286,1467,287,1457,256,1457,239,1464,224,1490,205,1532,190,1627,170"/>
<area shape="poly" title=" " alt="" coords="1731,172,1750,175,1908,191,2032,199,2157,207,2317,223,2317,228,2156,213,2031,204,1907,196,1750,180,1731,177"/>
<area shape="rect" title=" " alt="" coords="1601,225,1670,251"/>
<area shape="poly" title=" " alt="" coords="1674,179,1652,215,1647,212,1670,176"/>
<area shape="rect" title=" " alt="" coords="1694,225,1755,251"/>
<area shape="poly" title=" " alt="" coords="1689,176,1712,212,1708,215,1685,179"/>
<area shape="rect" title=" " alt="" coords="1779,225,1838,251"/>
<area shape="poly" title=" " alt="" coords="1701,175,1776,216,1774,221,1699,180"/>
<area shape="rect" title=" " alt="" coords="1863,225,1920,251"/>
<area shape="poly" title=" " alt="" coords="1714,175,1850,220,1849,225,1713,180"/>
<area shape="rect" title=" " alt="" coords="1944,225,2001,251"/>
<area shape="poly" title=" " alt="" coords="1732,175,1931,222,1930,228,1730,180"/>
<area shape="rect" title=" " alt="" coords="2025,225,2112,251"/>
<area shape="poly" title=" " alt="" coords="1731,172,2012,222,2011,228,1731,177"/>
<area shape="rect" title=" " alt="" coords="2136,225,2215,251"/>
<area shape="poly" title=" " alt="" coords="1731,172,1750,175,1935,197,2018,206,2123,222,2122,228,2017,212,1935,202,1750,180,1731,177"/>
<area shape="rect" title=" " alt="" coords="2239,225,2306,251"/>
<area shape="poly" title=" " alt="" coords="1731,172,1750,175,1882,189,1987,195,2092,204,2226,223,2225,228,2091,209,1986,201,1882,194,1750,180,1731,177"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1478,225,1577,251"/>
<area shape="poly" title=" " alt="" coords="1656,180,1565,222,1563,217,1654,175"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="1299,225,1403,251"/>
<area shape="poly" title=" " alt="" coords="1628,180,1417,225,1416,220,1627,175"/>
<area shape="poly" title=" " alt="" coords="1522,252,1500,288,1495,286,1518,250"/>
<area shape="rect" title=" " alt="" coords="1314,299,1389,324"/>
<area shape="poly" title=" " alt="" coords="1354,251,1354,285,1349,285,1349,251"/>
<area shape="poly" title=" " alt="" coords="619,175,697,216,695,221,617,180"/>
<area shape="poly" title=" " alt="" coords="545,178,444,201,398,214,366,228,332,256,306,288,302,285,328,253,363,223,396,209,443,195,544,173"/>
</map>
</div>
</div>
<p><a href="main_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:aad7bbf4191e375baee5f99ed26694706"><td class="memItemLeft" align="right" valign="top">std::condition_variable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></td></tr>
<tr class="separator:aad7bbf4191e375baee5f99ed26694706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a></td></tr>
<tr class="separator:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a0ddf1224851353fc92bfbff6f499fa97" name="a0ddf1224851353fc92bfbff6f499fa97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ddf1224851353fc92bfbff6f499fa97">&#9670;&#160;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00010">10</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp_a0ddf1224851353fc92bfbff6f499fa97_cgraph.png" border="0" usemap="#amain_8cpp_a0ddf1224851353fc92bfbff6f499fa97_cgraph" alt=""/></div>
<map name="amain_8cpp_a0ddf1224851353fc92bfbff6f499fa97_cgraph" id="amain_8cpp_a0ddf1224851353fc92bfbff6f499fa97_cgraph">
<area shape="rect" title=" " alt="" coords="5,103,56,128"/>
<area shape="rect" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303" title="Funkcja kontrolująca przepływ logiki zmiany języka." alt="" coords="104,53,299,79"/>
<area shape="poly" title=" " alt="" coords="56,104,103,87,132,79,133,85,105,93,57,109"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="167,103,235,128"/>
<area shape="poly" title=" " alt="" coords="56,113,154,113,154,118,56,118"/>
<area shape="rect" href="class_main_window.html#a663535964d681a72bd7baf64e5d336da" title="Zwraca uchwyt do klasy modelującej port szeregowy." alt="" coords="117,152,285,177"/>
<area shape="poly" title=" " alt="" coords="57,121,105,137,137,146,136,151,103,142,56,126"/>
<area shape="rect" href="class_serial_port.html#a04a364848114cc5e6d9fb618b6b0a66d" title="Metoda decydująca o kontynuacji czytania." alt="" coords="347,79,507,104"/>
<area shape="poly" title=" " alt="" coords="235,109,333,99,333,104,236,114"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="349,128,504,153"/>
<area shape="poly" title=" " alt="" coords="236,116,336,128,335,133,235,122"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="581,79,699,104"/>
<area shape="poly" title=" " alt="" coords="482,125,570,105,572,110,483,131"/>
<area shape="rect" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d" title="Zwraca deskryptor pliku." alt="" coords="555,128,725,153"/>
<area shape="poly" title=" " alt="" coords="504,138,541,138,541,143,504,143"/>
<area shape="rect" href="odbieranie_8hh.html#aac03f023f654bbad587c2f5c0894e0bf" title=" " alt="" coords="584,177,696,203"/>
<area shape="poly" title=" " alt="" coords="483,151,572,172,570,177,482,156"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="811,5,895,31"/>
<area shape="poly" title=" " alt="" coords="673,76,772,39,796,32,798,37,774,45,675,81"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="777,55,929,80"/>
<area shape="poly" title=" " alt="" coords="700,82,763,75,763,80,700,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="773,104,932,129"/>
<area shape="poly" title=" " alt="" coords="700,96,760,103,760,108,700,101"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="776,153,929,179"/>
<area shape="poly" title=" " alt="" coords="693,101,726,113,774,138,796,146,794,151,772,143,724,118,691,107"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="980,5,1027,31"/>
<area shape="poly" title=" " alt="" coords="895,15,966,15,966,21,895,21"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="aad7bbf4191e375baee5f99ed26694706" name="aad7bbf4191e375baee5f99ed26694706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad7bbf4191e375baee5f99ed26694706">&#9670;&#160;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::condition_variable start</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00007">7</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
<a id="a1b56d40ec3cfbf9e16772d3c02374e9f" name="a1b56d40ec3cfbf9e16772d3c02374e9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b56d40ec3cfbf9e16772d3c02374e9f">&#9670;&#160;</a></span>cm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::mutex cm</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00008">8</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="main_8cpp.html">main.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
